Bug 928768

Summary: gnome-abrt crashes if cmdline item contains extra whitespace
Product: [Fedora] Fedora Reporter: Jakub Filak <jfilak>
Component: gnome-abrtAssignee: Jakub Filak <jfilak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: jberan, jfilak, mtoman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:25802e50c7ab2768046f6e8abb349359a5881124
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 924856 Environment:
Last Closed: 2013-04-10 01:31:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 924856    
Bug Blocks:    

Description Jakub Filak 2013-03-28 12:15:07 UTC
+++ This bug was initially created as a clone of Bug #924856 +++

Description of problem:
After checking All problems checkbox and entering the password

Version-Release number of selected component:
gnome-abrt-0.2.8-1.fc18

Additional info:
cmdline:        python /usr/bin/gnome-abrt
executable:     /usr/bin/gnome-abrt
kernel:         3.8.3-203.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
application.py:49:compare_executable:IndexError: string index out of range

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 361, in on_gac_opt_all_problems_activate
    conf['all_problems'] = self.chb_all_problems.get_active()
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/config.py", line 49, in __setitem__
    map(lambda o: o.option_updated(self, option), opt.observers)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/config.py", line 49, in <lambda>
    map(lambda o: o.option_updated(self, option), opt.observers)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/dbus_problems.py", line 60, in option_updated
    self.source.refresh()
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 290, in refresh
    self.notify()
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 60, in notify
    observer.changed(self, change_type, problem)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 227, in changed
    self.parent.notify(change_type, problem)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 255, in notify
    super(MultipleSources, self).notify(change_type, problem)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 60, in notify
    observer.changed(self, change_type, problem)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 120, in changed
    self.wnd._reload_problems(source)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 237, in _reload_problems
    self._add_problem_to_storage(p)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 213, in _add_problem_to_storage
    self.ls_problems.append(problem_to_storage_values(problem))
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 83, in problem_to_storage_values
    app = problem.get_application()
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 170, in get_application
    self['cmdline'])
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/application.py", line 107, in find_application
    if n[1](n[0], dai):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/application.py", line 68, in compare_cmdline
    ret = compare_executable(cmdargs[1], de)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/application.py", line 49, in compare_executable
    if executable[0] == '/' and os.path.islink(executable):
IndexError: string index out of range

Local variables in innermost frame:
realpath: None
dexec: 'nm-applet'
de: <DesktopAppInfo object at 0x26f6a50 (GDesktopAppInfo at 0x29a8380)>
executable: u''

--- Additional comment from Michal Toman on 2013-03-22 17:18:05 CET ---

Created attachment 714632 [details]
File: backtrace

--- Additional comment from Michal Toman on 2013-03-22 17:18:07 CET ---

Created attachment 714633 [details]
File: core_backtrace

--- Additional comment from Michal Toman on 2013-03-22 17:18:11 CET ---

Created attachment 714634 [details]
File: environ

--- Additional comment from Jakub Filak on 2013-03-22 19:36:34 CET ---

Fixed in git:

commit 3f9a0dc7ca32cdd3429f80ebffccff3d46482631
Author: Jakub Filak <jfilak@redhat.com>
Date:   Fri Mar 22 17:42:34 2013 +0100

    Filter out empty strings from splitted cmdline

Comment 1 Fedora Update System 2013-03-29 10:15:44 UTC
gnome-abrt-0.2.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-abrt-0.2.10-2.fc17

Comment 2 Fedora Update System 2013-04-10 01:31:23 UTC
gnome-abrt-0.2.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.